
package Lin.Ops is

  pragma Preelaborate;

  type TripCompare is access function (U,V: Trip) return Integer;

  function CompareR(U,V: Trip) return Integer;                     -- Compare .R components of U,V
  function CompareIJ(U,V: Trip) return Integer;                    -- Compare .I and .J components of U,V
  function CompareJI(U,V: Trip) return Integer;                    -- Compare .J and .I components of U,V
  procedure Sort(W: in out Sparse; Compare: in TripCompare);       -- Sort W
  procedure Cleanup(W: in out Sparse; Force: in Boolean := False); -- Sort, remove zeros, combine overlaps

end Lin.Ops;
