
package body Fouriers_Init is

  function NumErrs(L,W: Positive) return Integer is
  begin
    return Integer'Max(2*L,(144*W)/55)-1;
  end NumErrs;

  function Nmin(M: Integer; J: Parity := 0) return Integer is
  begin
    if M < J then
      return 1;
    else
      return 0;
    end if;
  end Nmin;

  function Join(M,N,K: Integer) return Integer is
  begin
    return ((100+M)*100+N)*100+K;
  end Join;

  procedure UnJoin(MNK: in Integer; M,N,K: out Integer) is
  begin
    M := MNK/10000;
    K := MNK-10000*M;
    M := M-100;
    N := K/100;
    K := K-100*N;
  end UnJoin;

  function Min(R1,R2: Weights) return Weights is
  begin
    return (Radius'Min(R1.Q,R2.Q),Radius'Min(R1.P,R2.P));
  end Min;

end Fouriers_Init;
